---
title: "Create a subscription assignment"
slug: "create-a-subscription-assignment-1"
updated: 2026-02-10T22:22:18Z
published: 2026-02-10T22:22:18Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a subscription assignment

Get/CreateSubscription

Allows you to create a subscription assignment.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parametersexternalIdstring

The exernal ID of the subscription, usually a unique identifier from the calling system

clubIdstringRequired

The Id of the related subscription profile

userIdstringRequired

The Id of the related user

startsstringRequired

When the subscription starts (in Unix epoch time)

expiresstring

When the subscription expires (in Unix epoch time)

targetCompletionstring

When the subscription is expected to be completed by the student (in Unix epoch time)

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='048debab-1703-45e9-a424-4cbd5b36851a'>application/json</option>
</select>object  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

ClubMembershipIdinteger  (int32)    

The ID of the created subscription.

Example45632
